FortiOS - Stored cross-site scripting in replacement messages visualization

Summary

A improper neutralization of input during web page generation ('cross-site scripting') [CWE-79] in FortiOS may allow a privileged attacker to perform a stored XSS attack via storing malicious payloads in replacement messages.

Affected Products

FortiProxy version 7.0.0 through 7.0.1 FortiProxy 2.0 all versions FortiProxy 1.2 all versions FortiProxy 1.1 all versions FortiOS version 7.0.0 through 7.0.3 FortiOS version 6.4.0 through 6.4.9 FortiOS version 6.2.2 through 6.2.15 FortiOS version 6.0.7 through 6.0.17

Solutions

Please upgrade to FortiProxy version 7.0.2 or above Please upgrade to FortiOS version 7.2.2 Please upgrade to FortiOS version 7.0.7 Please upgrade to FortiOS version 6.4.10 or above

Acknowledgement

Fortinet is pleased to thank Thanh Nguyen, Artem and Wei Cong of FortiGuard Labs and Massimiliano Ferraresi, Massimiliano Brolli and TIM Security Red Team Research from TIM for reporting this vulnerability under responsible disclosure.